a {
	text-decoration: none;
	outline: 0 none;
}

.header-inner,
.content,
.header-menu_more_content {
	width: 1260px;
	margin: 0 auto;
}
.heaer-inner {
	height: 46px;
}

.content {
	margin-top: 24px;
    padding: 20px 0;
}
/* 公用部分 */
.icon-font {
	display: inline-block;
	/* ie8以下 text-indent bug */
	font-size: 0;
	line-height: 0;
}
.ideas_type {
	cursor: pointer;
	display: inline-block;
	font-size: 14px;
	color: #4d4b4c;
	background: #f5f5f5;
	padding: 6px 16px 6px 10px;
	border-top-right-radius: 3px;
	border-bottom-right-radius: 3px;
}
.ideas-content_title {
	font-size: 16px;
	color: #3f3f3d;
	font-weight: bold;
}
.ideas-content_desc {
	font-size: 14px;
	color: #3f3f3d;
	line-height: 1.8;
	letter-spacing: .01em;
}

/* header 部分 */
.header {
	background: #b8192d;
}

.header-logo {
	float:left;
	width:218px;
	height: 46px;
	line-height: 46px;
	vertical-align: middle;
}
.header-logo img{
	vertical-align: middle; 
}
.main_menu_container {
	float:left;
	height: 46px;
	line-height: 46px;
	vertical-align: middle;
	width: 950px;
}
.main_menu_container .nav-menu{
	
}
.main_menu_container .nav-menu .menu-item{
	cursor: pointer;
	float: left;
	width: 80px;
	height: 46px;
	line-height: 46px;
	text-align: center;
	color: #fff;
	font-size: 18px;
}
.main_menu_container .nav-menu .menu-item a{
	color: #fff;
}
.main_menu_container .nav-menu .menu-item a:hover{
	
}
.header-user {
	float: right;
	height: 46px;
	line-height: 46px;
	vertical-align: middle;
	width: 84px;
}
.header-user a{
	color: #fff;
}
.header-user a:hover{
	
}



/* 下拉部分 */
.header-menu_more {
	padding: 16px 0;
	background: #ebebeb;
	
	border-top: 1px solid #b7b7b7;
}
.header-menu_more .header-sub-menu{
	width: 1260px;
	margin: 0 auto;
}
.header-menu_more .secondary_menu_container{
	width: 1000px;
	float: left;
}
.header-menu_more .header-menu_more_list_all{
	float: left;
	width: 150px;
	border: 1px solid #676767;
    border-radius: 3px;
    color: #676767;
    float: right;
    font-size: 14px;
    height: 28px;
    line-height: 28px;
    text-align: center;
    width: 88px;
}
.header-menu_more .header-menu_more_list_all a{
	color: #676767;
}
.header-menu_more .header-menu_more_list_all a:hover{
	
}
.secondary_menu_container .nav-sub-menu{
	
}
.secondary_menu_container .nav-sub-menu .menu-item{
	min-width: 30px;
	float: left;
	background: #fff none repeat scroll 0 0;
	border-left: 10px solid #008a95;
    border-bottom-right-radius: 3px;
    border-top-right-radius: 3px;
    color: #4d4b4c;
    cursor: pointer;
    display: inline-block;
    font-size: 14px;
    padding: 6px 16px 6px 10px;
    margin-right: 10px;
}
.secondary_menu_container .nav-sub-menu .menu-item a{
	color: #4d4b4c
}
.secondary_menu_container .nav-sub-menu .menu-item a{
    color: inherit;
}

/* ideas 部分 */
.ideas_title {
	font-size: 28px;
	color: #b9002c;
	padding-bottom: 12px;
	margin-bottom: 16px;
	border-bottom: 2px solid #b9002c;
	height: 40px;
}
.ideas-content_main {
	float: left;
	width: 590px;
	position: relative;
}
.ideas-content_other {
	float: right;
	width: 612px;
}
.ideas_img {
	float: left;
	width: 240px;
}
.ideas-content {
	padding-bottom: 36px;
	margin-bottom: 14px;
	border-bottom: 1px solid #c4c4c4;
}
.ideas-content_other {
	margin-top: -42px;
}
.ideas-content_other .article-list_item{
    margin: 0 10px 20px 0;
}

.ideas-content_other .article-list_item .article-list_pic{
}
.ideas-content_other .article-list_item .article-list_pic a{
    text-align:center;
    width:290px;
    height: 101px;
    display: block;
}
.ideas-content_other .article-list_item h3{
    text-align:center;
}
.ideas-content_other .article-list_item .ideas-content_title{
}
.ideas-content_other .article-list_item a p{
    text-align:center;
}

.ideas-content_other .article-list_item .ideas-content_title {
     margin: 20px 0 5px 0;
 }
.ideas-content_other .article-list_item_img {
     width: 120px;
     height: 120px;
     vertical-align: middle;
     border-radius: 50%;
 }
.ideas-content_other_item {
	margin-top: 42px;
}
.ideas-content_other_type {
	border-left: 10px solid #d31e2d;
}
.ideas-content_other_desc {
	float: left;
	margin-left: 14px;
	width:351px;
}
.ideas-content_main_img {
	width: 590px;
	height: 362px;
	vertical-align: middle;
}
.ideas-content_other_img {
	width: 240px;
	height: 160px;
	vertical-align: middle;
}
.ideas-content_other_item .ideas-content_title {
	margin: 26px 0 10px 0;
}

/* 下面部分 */
.article-list {
	margin-left: -32px;
	margin-top: -50px;
}
.article-list_item {
	position: relative;
	float: left;
	width: 290px;
	margin-left: 32px;
	margin-top: 50px;
}
.article-list_item .ideas-content_title {
	margin: 14px 0 12px 0;
}
.article-list_item_img {
	width: 100%;
	height: 194px;
	vertical-align: middle;
}
.article-list_item_type {
	border-left: 10px solid #57557d;
	position: absolute;
	top: 8px;
	left: 8px;
}

/* 加载更多 */
.more {
	text-align: center;
	margin: 62px 0 72px 0;
}
.more_link {
	display: inline-block;
	width: 700px;
	height: 40px;
	line-height: 40px;
	color: #aaa5ab;
	font-size: 16px;
	font-weight: 400;
	background: #ebebeb;
	border-radius: 3px;
}

/* 底部：footer */
.footer {
	text-align: center;
	width: 100%;
	height: 324px;
	background: #363837;
	overflow: hidden;
}
.footer-share {
	margin: 96px 0 0 -38px;
}
.footer .icon-font {
	margin-left: 38px;
	vertical-align: middle;
}

.icon-font-facebook {
	width: 26px;
	height: 50px;
	background: url(img/icon/icon-font.png) 0 0 no-repeat;
}
.icon-font-facebook:hover {
	background-position: 0 -50px;
}
.icon-font-google {
	width: 50px;
	height: 50px;
	background: url(img/icon/icon-font.png) -30px 0 no-repeat;
}
.icon-font-google:hover {
	background-position: -30px -50px;
}
.icon-font-in {
	width: 50px;
	height: 50px;
	background: url(img/icon/icon-font.png) -86px 0 no-repeat;
}
.icon-font-in:hover {
	background-position: -86px -50px;
}
.icon-font-youtube {
	width: 119px;
	height: 40px;
	background: url(img/icon/icon-font.png) -140px 0 no-repeat;
}
.icon-font-youtube:hover {
	background-position: -140px -50px;
}
.icon-font-weixin {
	width: 50px;
	height: 40px;
	background: url(img/icon/icon-font.png) -263px 0 no-repeat;
}
.icon-font-weixin:hover {
	background-position: -263px -50px;
}
.icon-font-weibo {
	width: 50px;
	height: 40px;
	background: url(img/icon/icon-font.png) -316px 0 no-repeat;
}
.icon-font-weibo:hover {
	background-position: -316px -50px;
}
.icon-font-twitter {
	width: 51px;
	height: 41px;
	background: url(img/icon/icon-font.png) -368px 0 no-repeat;
}
.icon-font-twitter:hover {
	background-position: -368px -50px;
}
.footer-friend_link {
	margin: 40px 0 40px -42px;
}
.footer-friend_link_text {
	display: inline-block;
	font-size: 14px;
	color: #90918c;
	margin-left: 42px;
}
.footer-copyright {
	font-size: 14px;
	color: #90918c;
}

/* IE 兼容 */
.ie7 .icon-font,
.ie7 .ideas_type,
.ie7 .article-list_item,
.ie7 .more_link,
.ie7 .footer-friend_link_text {
	*display: inline;
	*zoom: 1;
}

.categ-content{
	line-height: auto;
	height: auto;
}
.categ-content .ideas{
	height: auto;
	overflow: hidden;
}
.categ-content .ideas .ideas_title{
	border: medium none;
    color: #B9002D;
    font-size: 40px;
    height: 40px;
    line-height: 40px;
    margin: 0 0 16px;
    padding: 0;
}
.categ-content .ideas .ideas_sub_title{
	color: #7d7d7d;
    font-size: 16px;
    line-height: 24px;
    margin-bottom: 56px;
	
}
.categ-content .cate{
	margin:0;
	padding: 0;
	
}
.categ-content  .cate-list {
	
}
.categ-content  .cate-list  .cate-list_item{
	width:620px;
	height: 210px;
	position: relative;
	float:left;
	margin: 0 8px 22px 0;
}
.categ-content  .cate-list  .cate-list_item img{
	width:600px;
}

.categ-content  .cate-list {
	
	
}
 .categ-content .categ_title{
 		border: medium none;
    color: #B9002D;
    font-size: 24px;
    height: 24px;
    line-height: 24px;
    margin: 40 0 60px;
    padding: 0;
}
 .categ-content .cate2_title{
 	color: #7d7d7d;
    font-size: 16px;
    line-height: 24px;
    margin-bottom: 32px;
    margin-top: 10px;
 }
 
 .categ-content .mcate{
 	width: 100%;
 	margin: 0 0 50px 0;
 }
.categ-content .mcate .mcate-list{
  	
  }
.categ-content .mcate  .mcate-list_item{
    		position: relative;
    		min-width: 100px;
    		float:left;
    }
 .categ-content .mcate .mcate-list_item .article-list_pic{
  	height: 19px;
  }
  .categ-content .mcate .mcate-list_item .ideas_type{
  	cursor: pointer;
	display: inline-block;
	font-size: 14px;
	color: #4d4b4c;
	background: #f5f5f5;
	padding: 6px 16px 6px 10px;
	border-top-right-radius: 3px;
	border-bottom-right-radius: 3px;
	position: static;
  }
  .categ-content .mcate .mcate-list_item .ideas_type:hover{
  	background-color: #57557d;
  	color:white;
  }
  .article-content{
  	
  }
  .article-content .left_content{
  	width:878px;
  	float:left;
  }
  .article-content .right_content{
  	width:381px;
  	float:left;
  }
  .article-content .right_content img{
  	width: 100%;
  }
  .article-content .right_content .source{
  	/* 来自硅谷计划: */
	font-size: 12px;
	color: #858585;
	line-height: 14px;
  }
  .article-content .tag{
  	margin-bottom:40px;
  }
  .article-content .title{
  	/* 超越批处理的世界:流计算101: */
	font-size: 40px;
	/*color: #57557D;*/
    color:#d3002d;
	line-height: 41px;
	margin-bottom:10px;
  }
  .article-content .sub_title{
  	/* 现代数据处理概念的高层次概览: */
	font-size: 20px;
	color: #999999;
	line-height: 21px;
	margin-bottom: 20px;
  }
  .article-content .article_info{
  	/* 泰勒阿克道（Tyler Akidau），: */
	font-size: 14px;
	color: #404040;
	line-height: 17px;
	margin-bottom: 30px;
  }
  .article-content .hr{
  	/* Rectangle 16: */
	background: #EDEDED;
	border:none;
	width:1260px;
	border-bottom: solid 1px #EDEDED;
	margin-bottom:46px;
  }
   .article-content .editor_comments{
   	/* Rectangle 182: */
	background: #F5F5F5;
	width:800px;
	/*height:46px;*/
	font-size: 15px;
	color: #000000;
	line-height: 26px;
	padding: 21px 28px;
	margin-bottom: 46px;
   }
   .article-content .article-content{
   	text-align: justify;
	width:776px;
	font-size: 16px;
	color: #000000;
	line-height: 30px;
   	margin-bottom:40px;
   	padding: 0 40px;
   }
   .article-content .article-content p{
       margin: 10px 0;
   	/*text-indent: 2em;*/
   }
   .article-content .article-content pre{
	   	text-align: justify;
        color: #cccccc;
	   	white-space: pre-wrap;　　　　/*　css-3　*/
	   	white-space: -moz-pre-wrap;　/*　Mozilla,　since　1999　*/
		white-space: -pre-wrap;　　　/*　Opera　4-6　*/
		white-space: -o-pre-wrap;　　/*　Opera　7　*/
		word-wrap: break-word;　　　　/*　Internet　Explorer　5.5+　*/
   }
   .article-content .article-content h1 {
       padding: 18px 0;
       font-size: 56px;
   }
   .article-content .article-content h2 {
       padding: 18px 0;
       font-size: 48px;
   }
   .article-content .article-content h3 {
       padding: 18px 0;
       font-size: 32px;
   }
   .article-content .article-content h4 {
       padding: 18px 0;
       font-size: 24px;
   }
   .article-content .article-content h5 {
       padding: 18px 0;
       font-size: 18px;
   }
   .article-content .article-content h6 {
       padding: 18px 0;
       font-size: 16px;
   }

.article-content .article-content table{
    border: 1px solid #ccc;
    margin: 14px 0;
}
.article-content .article-content td, .article-content .article-content th {
    padding: 10px;
    border-bottom: 1px solid #f2f2f2;    
    border-left: 1px solid #f2f2f2;    
}

.article-content .article-content tbody tr:nth-child(even) {
    background: #f5f5f5;
    -webkit-box-shadow: 0 1px 0 rgba(255,255,255,.8) inset; 
    -moz-box-shadow:0 1px 0 rgba(255,255,255,.8) inset;  
    box-shadow: 0 1px 0 rgba(255,255,255,.8) inset;        
}

.article-content .article-content th {
    text-align: left;
    text-shadow: 0 1px 0 rgba(255,255,255,.5); 
    border-bottom: 1px solid #ccc;
    background-color: #eee;
    background-image: -webkit-gradient(linear, left top, left bottom, from(#f5f5f5), to(#eee));
    background-image: -webkit-linear-gradient(top, #f5f5f5, #eee);
    background-image:    -moz-linear-gradient(top, #f5f5f5, #eee);
    background-image:     -ms-linear-gradient(top, #f5f5f5, #eee);
    background-image:      -o-linear-gradient(top, #f5f5f5, #eee); 
    background-image:         linear-gradient(top, #f5f5f5, #eee);
}

.article-content .article-content th:first-child {
    -moz-border-radius: 6px 0 0 0;
    -webkit-border-radius: 6px 0 0 0;
    border-radius: 6px 0 0 0;  
}

.article-content .article-content th:last-child {
    -moz-border-radius: 0 6px 0 0;
    -webkit-border-radius: 0 6px 0 0;
    border-radius: 0 6px 0 0;
}

.article-content .article-content th:only-child{
    -moz-border-radius: 6px 6px 0 0;
    -webkit-border-radius: 6px 6px 0 0;
    border-radius: 6px 6px 0 0;
}

.article-content .article-content tfoot td {
    border-bottom: 0;
    border-top: 1px solid #fff;
    background-color: #f1f1f1;  
}

.article-content .article-content tfoot td:first-child {
    -moz-border-radius: 0 0 0 6px;
    -webkit-border-radius: 0 0 0 6px;
    border-radius: 0 0 0 6px;
}

.article-content .article-content tfoot td:last-child {
    -moz-border-radius: 0 0 6px 0;
    -webkit-border-radius: 0 0 6px 0;
    border-radius: 0 0 6px 0;
}

.article-content .article-content tfoot td:only-child{
    -moz-border-radius: 0 0 6px 6px;
    -webkit-border-radius: 0 0 6px 6px
    border-radius: 0 0 6px 6px
}

   .article-content .article-content ul{
       padding-left: 40px;
       list-style: circle outside none; 
   }
   .article-content .article-content ul li{
      margin: 5px 0;
      list-style: circle outside none; 
   }
    .article-content .article-content a {
        color: #404040;
        border-bottom: 1px solid #c9c9c9;
        text-shadow: 1px 1px #fff, -1px 1px #fff, 2px 1px #fff, -2px 1px #fff;
    }
    .article-content .article-content a:hover {
        color: #81001c;
        border-bottom: 1px solid #81001c;
    }
   .article-content .author{
	margin-bottom:19px;
	
   }
   .article-content .author h3{
   	/* （关于作者）: */
	font-size: 16px;
	color: #383838;
	line-height: 32px;
	font-weight: bold;
    margin-bottom: 10px;
   }
	
   
   .article-content .author .auth_container{
       padding-left: 20px;
   }
   .article-content .author .auth_container .left{
	float: left;
    height: 146px;
    line-height: 146px;
    width: 146px;
    vertical-align: middle;
    padding-top: 12px;
   }

   .article-content .author .auth_container .left .avatar{
       overflow: hidden;
       border-radius: 50%;
       line-height: 0
   } 
   .article-content .author .auth_container .left img{
        vertical-align: middle;
        height: 146px;
        width: 146px;
   }
   .article-content .author .auth_container .right{
	float: left;
    margin-left: 23px;
    text-align: justify;
    width: 640px;
   }
   .article-content .author .auth_container .right h3{
   }
   .article-content .author .auth_container .right p{
        font-size: 16px;
        color: #383838;
        line-height: 32px;
    }

   
   .gray-hr{
   	/* Rectangle 16: */
		/*background: #57557D;*/
        background-color: #d3002d;
		border:none;
		border-bottom:solid 6px #d3002d;
		width:1260px;
		margin:0 auto;
   }
   .recommend{
   	margin-bottom:30px;
   }


/** 
 * 
 * 
 */
.main_menu_container .nav-menu .menu-item-44{
 }
.main_menu_container .nav-menu .menu-item-45{
     margin-right: 14px;
 }
.main_menu_container .nav-menu .menu-item-179{
}
.main_menu_container .nav-menu .menu-item-141{
    width: 71px;
}
.main_menu_container .nav-menu .menu-item-138{
    width: 71px;
}

/*Added by Douglas*/
.multi_authors_inline {
	padding-left: 20px;
}
.multi_authors_item img {
	float: left;
	height: 146px;
	line-height: 146px;
	width: 146px;
	vertical-align: middle;
	overflow: hidden;
	border-radius: 50%;
	margin-top:10px;
}
.multi_authors_item_bio {
	margin-left: 180px;
	padding-top: 10px;
	text-align: justify;
	width: 640px;
}

//for links in Editor comments.
.article-content .editor_comments a {
        color: #404040;
        border-bottom: 1px solid #c9c9c9;
        text-shadow: 1px 1px #fff, -1px 1px #fff, 2px 1px #fff, -2px 1px #fff;
    } 
.article-content .editor_comments a {
        color: #404040;
        border-bottom: 1px solid #c9c9c9;
        text-shadow: 1px 1px #fff, -1px 1px #fff, 2px 1px #fff, -2px 1px #fff;
    }
.article-content .editor_comments a:hover {
        color: #81001c;
        border-bottom: 1px solid #81001c;
    }

.original_link {
	font-style: italic;
	padding-left: 20px;
	padding-bottom:20px;
}
.original_link a {
	color:#404040;
	border-bottom: 1px solid #c9c9c9;
}
.original_link a:hover {
	color: #81001c;
}
.ad {
	width: 258px;
}
